CREATE TABLE ordner (
  id NUMERIC default UNIQUEKEY('ordner'),
  title varchar(80) NOT NULL,
  titleFont varchar(80),
  titleColor int,
  titleAlignmnet int,
  content varchar(300),
  contentFont varchar(80),
  contentColor int,
  contentAlignmnet int,
  footer varchar(100),
  footerFont varchar(80),
  footerColor int,
  footerAlignmnet int,
  labelBackground int,
  horizontalBarVisible boolean default true,
  horizontalBarColor int,
  idVisible boolean default true,
  registerIndexFont varchar(80),
  registerIndexColor int,
  registerIndexBackground int,
  registerContentFont varchar(80),
  registerContentColor int,
  registerContentBackground int,
  width int,
  lastSaveDate date,
  titleDirection int,
  contentDirection int,
  footerDirection int,
  UNIQUE (id),
  PRIMARY KEY (id)
);


CREATE TABLE register (
  id NUMERIC default UNIQUEKEY('register'),
  ordner_id int(4) NOT NULL,
  idx varchar(10),
  content varchar(80),
  position int,
  UNIQUE (id),
  PRIMARY KEY (id)  
);


CREATE TABLE version (
  id NUMERIC default UNIQUEKEY('version'),
  name varchar(255) NOT NULL,
  version int(5) NOT NULL,
  UNIQUE (id),
  PRIMARY KEY (id)
);


ALTER TABLE register ADD CONSTRAINT fk_ordner FOREIGN KEY (ordner_id) REFERENCES ordner (id) DEFERRABLE;

COMMIT;

INSERT INTO version (name,version) values ('db',3);

